gd_alias_target(3)

NAME
gd_alias_target — determine the target of an alias defined in a Dirfile database

SYNOPSIS
#include <getdata.h>

const char *gd_alias_target(DIRFILE *dirfile, const char *alias_name);

DESCRIPTION
The function queries a dirfile(5) database specified by and determines the target field code of the alias specified by

The argument must point to a valid DIRFILE object previously created by a call to

Note: the target may itself be the an alias, which will have its own target. To obtain the canonical name of the field ultimately referenced by pass it to and inspect the member of the gd_entry_t structure returned.

RETURN VALUE
Upon successful completion, returns a pointer to a read-only character string containing the name of the target of the specified alias. On error, returns NULL and sets the dirfile error a non-zero error value. Possible error values are: The name was not found in the dirfile. GD_E_BAD_DIRFILE The supplied dirfile was invalid. The entry specified by was not an alias.

The dirfile error may be retrieved by calling A descriptive error string for the last error encountered can be obtained from a call to

HISTORY
The function appeared in GetData-0.8.0.

SEE ALSO
dirfile(5)